Loading...
Searching...
No Matches
CxxTest::StdioFilePrinter::Adapter Class Reference

## Public Member Functions

| Adapter (FILE *o)
void | flush ()
OutputStream & | operator<< (unsigned i)
OutputStream & | operator<< (const char *s)
OutputStream & | operator<< (Manipulator m)
Public Member Functions inherited from CxxTest::OutputStream
virtual | ~OutputStream ()

## Private Member Functions

| Adapter (const Adapter &)
Adapter & | operator= (const Adapter &)

## Private Attributes

FILE * | _o

## Additional Inherited Members

Public Types inherited from CxxTest::OutputStream
typedef void(* | Manipulator) (OutputStream &)
Static Public Member Functions inherited from CxxTest::OutputStream
static void | endl (OutputStream &o)

## Detailed Description

Definition at line 24 of file StdioFilePrinter.h.

## Constructor & Destructor Documentation

## Adapter() [1/2]

CxxTest::StdioFilePrinter::Adapter::Adapter | ( | const Adapter & |  | ) |

private

## Adapter() [2/2]

CxxTest::StdioFilePrinter::Adapter::Adapter | ( | FILE * | o | ) |

inline

Definition at line 32 of file StdioFilePrinter.h.

: _o(o) {}
CxxTest::StdioFilePrinter::Adapter::_o
FILE * _o
Definition StdioFilePrinter.h:29

## Member Function Documentation

## flush()

void CxxTest::StdioFilePrinter::Adapter::flush | ( |  | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 33 of file StdioFilePrinter.h.

{ fflush( _o ); }

## operator<<() [1/3]

OutputStream & CxxTest::StdioFilePrinter::Adapter::operator<< | ( | const char * | s | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 35 of file StdioFilePrinter.h.

{ fputs( s, _o ); return *this; }
CxxTest::s
char * s
Definition ValueTraits.h:143

## operator<<() [2/3]

OutputStream & CxxTest::StdioFilePrinter::Adapter::operator<< | ( | Manipulator | m | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 36 of file StdioFilePrinter.h.

{ return OutputStream::operator<<( m ); }
m
int m
Definition cfEzgcd.cc:128
CxxTest::OutputStream::operator<<
virtual OutputStream & operator<<(unsigned)
Definition ErrorFormatter.h:24

## operator<<() [3/3]

OutputStream & CxxTest::StdioFilePrinter::Adapter::operator<< | ( | unsigned | i | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 34 of file StdioFilePrinter.h.

{ fprintf( _o, "%u", i ); return *this; }
i
int i
Definition cfEzgcd.cc:132

## operator=()

Adapter & CxxTest::StdioFilePrinter::Adapter::operator= | ( | const Adapter & |  | ) |

private

## Field Documentation

## _o

FILE* CxxTest::StdioFilePrinter::Adapter::_o

private

Definition at line 29 of file StdioFilePrinter.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/StdioFilePrinter.h